收藏
回答

以下机型访问蓝牙4.0设备报以下错误

问题模块
API和组件

以下机型访问蓝牙4.0设备容易出现错误:

EVA-AL10
VIE-AL10
EVA-AL00
VTR-AL00
LON-AL00
MHA-AL00


描述详情:以上机型基于微信小程序蓝牙API创建链接,容易发生无法创建链接的错误。而且是一旦出现创建链接失败以后,就无法再次创建链接了(通过wx.startBluetoothDevicesDiscovery是可以找的到蓝牙设备),微信蓝牙API链接出错后我们再试着用原生的APP去链接发现也无法创建链接。通过抓包提示此错误:E/bt_btif: bta_gattc_cache_load: can´t open GATT cache file /data/misc/bluetooth/gatt_cache_9c1d589125ed for reading, error: Permission denied

特点:其他Android机型目前还没有出现此错误,这这款华为就容易出现此错误,用着用着就会出现,也无规律可言,只是很容易出现此错误!



最后一次编辑于  2017-07-27  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏